Last Comment Bug 663208 - Recursive "Verify new product details" page when attempting to move multiple bugs to another product
: Recursive "Verify new product details" page when attempting to move multiple ...
Status: RESOLVED FIXED
: regression
Product: Bugzilla
Classification: Server Software
Component: Creating/Changing Bugs (show other bugs)
: 4.0
: All All
: -- major (vote)
: Bugzilla 4.0
Assigned To: Frédéric Buclin
: default-qa
Mentors:
https://landfill.bugzilla.org/bugzill...
: 676416 (view as bug list)
Depends on: 556407
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-09 13:25 PDT by Nicholas Herring
Modified: 2011-09-23 15:43 PDT (History)
4 users (show)
mkanat: approval+
LpSolit: blocking4.2+
mkanat: approval4.0+
LpSolit: blocking4.0.2+
LpSolit: testcase+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (915 bytes, patch)
2011-06-10 15:14 PDT, Frédéric Buclin
mkanat: review+
Details | Diff | Splinter Review

Description Nicholas Herring 2011-06-09 13:25:01 PDT
User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/534.24 (KHTML, like Gecko) Chrome/11.0.696.77 Safari/534.24
Build Identifier: Bugzilla 4.0

I have tried this on a private server and landfill. It would seem if you attempt to move multiple bugs to another product the "Verify version" page will never accept your selections

Reproducible: Always

Steps to Reproduce:
1. Get a buglist of at least 2 bugs. 
2. Use Change multiple bugs at once.
3. Select 2 bugs.
4. Change their product from their current.
5. At "Verify version" page select proper information
6. Click commit

Actual Results:  
The "Verify version" page will reload asking for the same information again. Interesting note: the "Verify Bug Group" will disappear on the second render.

Expected Results:  
The Commit button should should process bug activity for selected bugs.

Move a single bug works fine from both the bug page and selecting only one bug with "Change several bugs at once".
Comment 1 Frédéric Buclin 2011-06-09 13:51:57 PDT
I can reproduce in both 4.0.1 and 4.1.2. Didn't test with 3.6.5 yet.
Comment 2 Frédéric Buclin 2011-06-09 13:53:43 PDT
3.6.5 is not affected.
Comment 3 Frédéric Buclin 2011-06-10 15:14:32 PDT
Created attachment 538615 [details] [diff] [review]
patch, v1

We have to copy the hash to not alter data used for subsequent bugs when calling set_all() in a loop in process_bug.cgi. The problem here was that some fields, including the component, version and target milestone, were deleted when calling set_all(), and so the subsequent bugs in a mass-change had no values for these fields, triggering the confirmation page again and again.
Comment 4 Max Kanat-Alexander 2011-06-10 18:23:11 PDT
Comment on attachment 538615 [details] [diff] [review]
patch, v1

Looks good to me. :-)
Comment 5 Frédéric Buclin 2011-06-10 18:31:37 PDT
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/trunk/
modified Bugzilla/Bug.pm
Committed revision 7836.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.0/
modified Bugzilla/Bug.pm
Committed revision 7603.
Comment 6 Tom Duffy 2011-07-07 10:44:59 PDT
I applied this patch on my clean 4.0.1 installation, and the problem still remains. (confirm page keeps coming up)
Does it depend on other fixes since 4.0.1 stable?
Comment 7 Tom Duffy 2011-07-07 10:54:29 PDT
(In reply to comment #6)
> I applied this patch on my clean 4.0.1 installation, and the problem still
> remains. (confirm page keeps coming up)
> Does it depend on other fixes since 4.0.1 stable?

D'Oh.  The confirm page had unselected fields, so it kept repeating.  Works fine if I actually select a value for those fields.
Comment 8 Max Kanat-Alexander 2011-07-19 15:11:01 PDT
(In reply to comment #7)
> D'Oh.  The confirm page had unselected fields, so it kept repeating.  Works
> fine if I actually select a value for those fields.

  You're welcome to file a bug for the fact that it can be hard to notice that, and that we should validate it with JS.
Comment 9 Frédéric Buclin 2011-08-03 16:07:25 PDT
*** Bug 676416 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.